# Taipy

## License

Copyright 2021-2024 Avaiga Private Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License at
[http://www.apache.org/licenses/LICENSE-2.0](https://www.apache.org/licenses/LICENSE-2.0.txt)

Unless required by applicable law or agreed to in writing, software distributed under the
License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied. See the License for the specific language governing permissions
and limitations under the License.

## ⭐️ What is Taipy

Taipy is an open-source Python library for easy, end-to-end application development for data
scientists and machine learning engineers, featuring what-if analyses, smart pipeline execution,
built-in scheduling, and deployment tools.

- Enables building production-ready web applications.
- No need to learn new languages or full-stack frameworks.
- Concentrate on Data and AI algorithms without development and deployment complexities.

- Website: https://www.taipy.io
- Documentation: https://docs.taipy.io/en/latest/
- Demos & Examples: https://docs.taipy.io/en/latest/gallery/
- Source code: https://github.com/Avaiga/taipy/
- Contributing: https://docs.taipy.io/en/latest/contributing/contributing/
- Bug reports: https://github.com/Avaiga/taipy/issues
- Discord support: https://discord.com/invite/SJyz2VJGxV

## ✨ Features

- **Python-Based UI Framework:** Taipy is designed for Python users, particularly those
  in AI and data science. It allows them to create full-stack applications without
  learning additional skills like HTML, CSS, or JavaScript.

- **Pre-Built Components for Data Pipelines:** Taipy includes pre-built components that
  allow users to interact with data pipelines, including visualization and management
  tools.

- **Scenario and Data Management Features:** Taipy offers features for managing different
  business scenarios and data, which can be useful for applications like demand forecasting
  or production planning.

- **Version Management and Pipeline Orchestration:** It includes tools for managing
  application versions, pipeline versions, and data versions, which are beneficial
  for multi-user environments.

## Installation

To install Taipy stable release run:
```bash
pip install taipy
```

To install Taipy on a Conda Environment or from source code, please refer to the
[Installation Guide](https://docs.taipy.io/en/latest/installation/).<br />
To get started with Taipy, please refer to the [Getting Started Guide](https://docs.taipy.io/en/latest/getting_started/).
